This page was not yet optimized for use on mobile devices.
Aerospike Enterprise Database Federal Edition
Certificate details
| Certificate ID | #4252 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 21.06.2022 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #3273 |
| Exceptions |
|
| Description | Aerospike Enterprise Database Federal Edition offloads functions for secure key management, data integrity, data-at-rest encryption, and secure communications (TLS) to a trusted implementation. This module is incorporated into the Aerospike Database servers and the client libraries that enable applications to access the database. |
| Tested configurations |
|
| Vendor | Aerospike, Inc. http://www.aerospike.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 1 certificates, transitively this expands into 1 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2Schemes
MACProtocols
SSL, TLSRandomness
DUAL_EC_DRBG, PRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-233, K-283, K-409, K-571, B-233, B-283, B-409, B-571, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 186-4, FIPS 186-2, SP 800-90A, NIST SP 800-131A, SP 800-52, PKCS #1, PKCS1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4252,
"dgst": "20de50c5e5cbd4d4",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#4750",
"#2524",
"ECDSA#1185",
"DSA#1273",
"HMAC#3164",
"#3893",
"#2594",
"#1273",
"RSA#2594",
"#4750",
"#3164",
"#1631",
"SHS#3893",
"Triple-DES#2524",
"DRBG#1631",
"#1185"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"3273"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"3273"
]
}
},
"module_prunned_references": {
"_type": "Set",
"elements": [
"3273"
]
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 12
}
},
"FF": {
"DH": {
"DH": 1
},
"DSA": {
"DSA": 13
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 2
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 5
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 4,
"B-233": 4,
"B-283": 6,
"B-409": 4,
"B-571": 6,
"K-163": 4,
"K-233": 5,
"K-283": 6,
"K-409": 4,
"K-571": 6,
"P-192": 6,
"P-224": 12,
"P-256": 12,
"P-384": 8,
"P-521": 12
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2,
"#3164": 1
}
},
"fips_certlike": {
"Certlike": {
"Certificate AES": 1,
"Certificate RSA": 1,
"HMAC Cert. #3164": 2,
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA- 512 3164": 2,
"HMAC-SHA-1": 12,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 2,
"PKCS #1": 4,
"PKCS#1": 2,
"PKCS1": 6,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 512": 1,
"SHA-1": 22,
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 4,
"SHA-512": 2,
"SHA-512 3893": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 22
},
"SHA2": {
"SHA-2": 12,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 4,
"SHA-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15,
"PRNG": 1
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 7,
"FIPS 140-2": 39,
"FIPS 186-2": 6,
"FIPS 186-4": 6
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-52": 2,
"SP 800-90A": 3
},
"PKCS": {
"PKCS #1": 2,
"PKCS#1": 1,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 14
}
},
"DES": {
"3DES": {
"Triple-DES": 8
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 14,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#4750",
"ECDSA#1185",
"DSA#1273",
"HMAC#3164",
"RSA#2594",
"SHS#3893",
"Triple-DES#2524",
"DRBG#1631"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#2524",
"#3893",
"#2594",
"#1273",
"#4750",
"#3164",
"#1631",
"#1185"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/CreationDate": "D:20220504133822-07\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20220504133822-07\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "Aerospike Enterprise Database Federal Edition",
"/Title": "Security Policy",
"pdf_file_size_bytes": 646031,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-module-validation-program",
"https://aerospike.com/",
"http://www.safelogic.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 23
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "01afb08ded591b2c3eb00ef88d0b1a4ad58e83db390f3551a06e2e098e54d0f2",
"source_hash": "cbe752b2675513352142af1fe1d37ad2f1c6bc79459c9a6675681477d9a75c32",
"txt_hash": "88833d3b55d77b192a3bb09618fb3c67ed294f2d07aaa2f599c87e347871f5ba"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. No assurance of the minimum strength of generated keys. This validation entry is a non-security relevant modification to Cert. #3273",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/June 2022_010722_0704_signed.pdf",
"date_sunset": null,
"description": "Aerospike Enterprise Database Federal Edition offloads functions for secure key management, data integrity, data-at-rest encryption, and secure communications (TLS) to a trusted implementation. This module is incorporated into the Aerospike Database servers and the client libraries that enable applications to access the database.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {
"3273": 1
},
"module_name": "Aerospike Enterprise Database Federal Edition",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.2",
"tested_conf": [
"CentOS 7.3 on a Dell Optiplex 755 with an Intel Celeron 430 processor (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-06-21",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Aerospike, Inc.",
"vendor_url": "http://www.aerospike.com"
}
}